Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556607 - LuxRender: FTBFS in F28
Summary: LuxRender: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1575767 (view as bug list)
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:13 UTC by Fedora Release Engineering
Modified: 2018-07-06 18:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 18:33:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 22:25 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 22:25 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 22:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-15 00:13:13 UTC
Your package LuxRender failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25254224

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Jonathan Wakely 2018-05-10 17:19:56 UTC
*** Bug 1575767 has been marked as a duplicate of this bug. ***

Comment 2 Jonathan Wakely 2018-05-10 22:25:50 UTC
Latest build attempt:
https://koji.fedoraproject.org/koji/taskinfo?taskID=26881393

Fails due to invalid code in embree2:

[ 41%] Building CXX object src/luxrays/CMakeFiles/luxrays.dir/core/bvh/bvhembreebuild.cpp.o
cd /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays && /usr/bin/c++  -DBOOST_ALL_NO_LIB -DBOOST_FILESYSTEM_NO_DEPRECATED -DCPP_API_EXPORTS -isystem /usr/include/OpenEXR -I/builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/include -I/builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/deps/eos_portable_archive-v5.1 -I/usr/include/python3.6m -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/usr/include/libdrm -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -DLUXRAYS_DISABLE_OPENCL=0 -Wall -Wno-long-long -pedantic -msse -msse2 -msse3 -mssse3 -fPIC -fopenmp -DNDEBUG -O3 -ftree-vectorize -funroll-loops -fvariable-expansion-in-unroller   -o CMakeFiles/luxrays.dir/core/bvh/bvhembreebuild.cpp.o -c /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays/core/bvh/bvhembreebuild.cpp
make[2]: Leaving directory '/builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325'
In file included from /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays/core/bvh/bvhembreebuild.cpp:26:
/usr/include/embree2/rtcore_bvh_builder.h:23:16: error: redefinition of 'struct __RTCThreadLocalAllocator'
 typedef struct __RTCThreadLocalAllocator {}* RTCThreadLocalAllocator;
                ^~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/embree2/rtcore.h:277,
                 from /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays/core/bvh/bvhembreebuild.cpp:25:
/usr/include/embree2/rtcore_builder.h:26:16: note: previous definition of 'struct __RTCThreadLocalAllocator'
 typedef struct __RTCThreadLocalAllocator {}* RTCThreadLocalAllocator;
                ^~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays/core/bvh/bvhembreebuild.cpp:26:
/usr/include/embree2/rtcore_bvh_builder.h:23:46: error: conflicting declaration 'typedef int* RTCThreadLocalAllocator'
 typedef struct __RTCThreadLocalAllocator {}* RTCThreadLocalAllocator;
                                              ^~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/embree2/rtcore.h:277,
                 from /builddir/build/BUILD/luxrender-lux-f56582df55f4/luxrender-luxrays-ceb10f796325/src/luxrays/core/bvh/bvhembreebuild.cpp:25:
/usr/include/embree2/rtcore_builder.h:26:46: note: previous declaration as 'typedef struct __RTCThreadLocalAllocator* RTCThreadLocalAllocator'
 typedef struct __RTCThreadLocalAllocator {}* RTCThreadLocalAllocator;
                                              ^~~~~~~~~~~~~~~~~~~~~~~

This needs to be fixed in embree2.

Comment 3 Fedora Release Engineering 2018-05-28 22:25:12 UTC
Created attachment 1444646 [details]
build.log

Comment 4 Fedora Release Engineering 2018-05-28 22:25:18 UTC
Created attachment 1444648 [details]
root.log

Comment 5 Fedora Release Engineering 2018-05-28 22:25:21 UTC
Created attachment 1444650 [details]
state.log

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-06 18:33:57 UTC
A build was successfull: LuxRender-1.6-26.fc28 [1].
No update was found in bodhi. Closing the bug nonetheless.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1018992


Note You need to log in before you can comment on or make changes to this bug.